For the complete documentation index, see llms.txt. This page is also available as Markdown.

App Public

Lists all publicly approved apps

get
Responses
200

List of all public apps.

application/json
errorstringOptional

Optional error message.

get/v1/public-apps
GET /v1/public-apps HTTP/1.1
Host: api.chatcaptain.com
Accept: */*
200

List of all public apps.

{
  "error": "text",
  "publicApps": [
    {
      "id": "app59aBv7wzR9cxd1Pxyz",
      "versionCount": 5,
      "hasApprovedVersion": true,
      "lastVersionRequested": "2025-09-28T10:00:00Z",
      "lastVersionApproved": "2025-09-29T09:00:00Z",
      "name": "My public assistant"
    }
  ]
}

Lists all approved versions for a specific public app

get
Path parameters
appIdstringRequired

The ID of the public app.

Responses
200

List of approved versions.

application/json
errorstringOptional

Optional error message.

get/v1/public-apps/{appId}/versions
GET /v1/public-apps/{appId}/versions HTTP/1.1
Host: api.chatcaptain.com
Accept: */*
200

List of approved versions.

{
  "error": "text",
  "appVersions": [
    {
      "id": "vrsKq8BxZaJd2wZR9cxd1P",
      "name": "My app",
      "owner": "ws59aBv7wzR9cxd1Pxyz",
      "state": 2,
      "requested": "2025-09-28T10:00:00Z",
      "inQueue": "2025-09-28T10:05:00Z",
      "inProgress": "2025-09-28T10:10:00Z",
      "approved": "2025-09-29T09:00:00Z",
      "rejected": "2025-09-29T09:00:00Z",
      "withdrawn": "2025-09-29T09:00:00Z",
      "baseJson": "{ \"baseUrl\": \"https://example.com\" }",
      "emitterUrl": "https://emitter.example.com/run/v1.2.0",
      "readme": "# My app\n\nDescription."
    }
  ]
}

Last updated